package com.bjzc.bhzhgd.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

/**
 * Created by ruihong on 2018/7/24.
 */

public class Zjrwdatainfo extends DataSupport implements Parcelable {

    private long id;
    private String fid;
    private String sbname;
    private String sbid;
    private String isbhg;
    private String exceptname;
    private String iswc;
    private String khid;
    private String srcid;
    private String filecode;
    private String wcname;
    private String jgid;
    private String rwid;
    private Zjrwdata zjrwdata;
    private boolean checked;//是否已经检查
    private String CJJG;
    private String DATE;//保存时间
    private String ISYC;//是否异常
    private String ISRBFX;//是否让步放行
    private String BZ;//应达到的标准
    private String JSSP;//应达到的技术水平
    private String RBYY;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid;
    }

    public String getSbname() {
        return sbname;
    }

    public void setSbname(String sbname) {
        this.sbname = sbname;
    }

    public String getSbid() {
        return sbid;
    }

    public void setSbid(String sbid) {
        this.sbid = sbid;
    }

    public String getIsbhg() {
        return isbhg;
    }

    public void setIsbhg(String isbhg) {
        this.isbhg = isbhg;
    }

    public String getExceptname() {
        return exceptname;
    }

    public void setExceptname(String exceptname) {
        this.exceptname = exceptname;
    }

    public String getIswc() {
        return iswc;
    }

    public void setIswc(String iswc) {
        this.iswc = iswc;
    }

    public String getKhid() {
        return khid;
    }

    public void setKhid(String khid) {
        this.khid = khid;
    }

    public String getSrcid() {
        return srcid;
    }

    public void setSrcid(String srcid) {
        this.srcid = srcid;
    }

    public String getFilecode() {
        return filecode;
    }

    public void setFilecode(String filecode) {
        this.filecode = filecode;
    }

    public String getWcname() {
        return wcname;
    }

    public void setWcname(String wcname) {
        this.wcname = wcname;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public String getRwid() {
        return rwid;
    }

    public void setRwid(String rwid) {
        this.rwid = rwid;
    }

    public Zjrwdata getZjrwdata() {
        return zjrwdata;
    }

    public void setZjrwdata(Zjrwdata zjrwdata) {
        this.zjrwdata = zjrwdata;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public String getCJJG() {
        return CJJG;
    }

    public void setCJJG(String CJJG) {
        this.CJJG = CJJG;
    }

    public String getDATE() {
        return DATE;
    }

    public void setDATE(String DATE) {
        this.DATE = DATE;
    }

    public String getISYC() {
        return ISYC;
    }

    public void setISYC(String ISYC) {
        this.ISYC = ISYC;
    }

    public String getISRBFX() {
        return ISRBFX;
    }

    public void setISRBFX(String ISRBFX) {
        this.ISRBFX = ISRBFX;
    }

    public String getBZ() {
        return BZ;
    }

    public void setBZ(String BZ) {
        this.BZ = BZ;
    }

    public String getJSSP() {
        return JSSP;
    }

    public void setJSSP(String JSSP) {
        this.JSSP = JSSP;
    }

    public String getRBYY() {
        return RBYY;
    }

    public void setRBYY(String RBYY) {
        this.RBYY = RBYY;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.id);
        dest.writeString(this.fid);
        dest.writeString(this.sbname);
        dest.writeString(this.sbid);
        dest.writeString(this.isbhg);
        dest.writeString(this.exceptname);
        dest.writeString(this.iswc);
        dest.writeString(this.khid);
        dest.writeString(this.srcid);
        dest.writeString(this.filecode);
        dest.writeString(this.wcname);
        dest.writeString(this.jgid);
        dest.writeString(this.rwid);
        dest.writeParcelable(this.zjrwdata, flags);
        dest.writeByte(this.checked ? (byte) 1 : (byte) 0);
        dest.writeString(this.CJJG);
        dest.writeString(this.DATE);
        dest.writeString(this.ISYC);
        dest.writeString(this.ISRBFX);
        dest.writeString(this.BZ);
        dest.writeString(this.JSSP);
        dest.writeString(this.RBYY);
    }

    public Zjrwdatainfo() {
    }

    protected Zjrwdatainfo(Parcel in) {
        this.id = in.readLong();
        this.fid = in.readString();
        this.sbname = in.readString();
        this.sbid = in.readString();
        this.isbhg = in.readString();
        this.exceptname = in.readString();
        this.iswc = in.readString();
        this.khid = in.readString();
        this.srcid = in.readString();
        this.filecode = in.readString();
        this.wcname = in.readString();
        this.jgid = in.readString();
        this.rwid = in.readString();
        this.zjrwdata = in.readParcelable(Zjrwdata.class.getClassLoader());
        this.checked = in.readByte() != 0;
        this.CJJG = in.readString();
        this.DATE = in.readString();
        this.ISYC = in.readString();
        this.ISRBFX = in.readString();
        this.BZ = in.readString();
        this.JSSP = in.readString();
        this.RBYY = in.readString();
    }

    public static final Creator<Zjrwdatainfo> CREATOR = new Creator<Zjrwdatainfo>() {
        @Override
        public Zjrwdatainfo createFromParcel(Parcel source) {
            return new Zjrwdatainfo(source);
        }

        @Override
        public Zjrwdatainfo[] newArray(int size) {
            return new Zjrwdatainfo[size];
        }
    };
}



